Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727156 - dev-lang/mercury-20.01.1 : fails to build with -fno-common or gcc-10
Summary: dev-lang/mercury-20.01.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Keri Harris
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-06-04 17:35 UTC by Toralf Förster
Modified: 2020-07-25 06:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.42 KB, text/plain)
2020-06-04 17:35 UTC, Toralf Förster
Details
dev-lang:mercury-20.01.1:20200604-135814.log.bz2 (dev-lang:mercury-20.01.1:20200604-135814.log.bz2,78.72 KB, application/x-bzip)
2020-06-04 17:36 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,183.88 KB, text/plain)
2020-06-04 17:36 UTC, Toralf Förster
Details
environment (environment,146.45 KB, text/plain)
2020-06-04 17:36 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.65 KB, application/x-bzip)
2020-06-04 17:36 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,30.73 KB, application/x-bzip)
2020-06-04 17:36 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,114.22 KB, application/x-bzip)
2020-06-04 17:36 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-06-04 17:35:57 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: mercury_ho_call.pic_o:/var/tmp/portage/dev-lang/mercury-20.01.1/work/mercury-srcdist-20.01.1/install_grade_dir.asm_fast.gc.profdeep.stseg/runtime/mercury_builtin_types_proc_layouts.h:72: multiple definition of `mercury_data__proc_layout__mercury____Compare___type_desc__pseudo_type_desc_0_0'; mercury_builtin_types.pic_o:/var/tmp/portage/dev-lang/mercury-20.01.1/work/mercury-srcdist-20.01.1/install_grade_dir.asm_fast.gc.profdeep.stseg/runtime/mercury_builtin_types_proc_layouts.h:72: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl-20200531-222015

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.1.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.8 (fallback)
  [3]   python3.6 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.43.1 *
The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu 04 Jun 2020 01:05:34 PM UTC
/var/db/repos/libressl	Tue 02 Jun 2020 02:35:03 AM UTC

emerge -qpvO dev-lang/mercury
[ebuild  N    ] dev-lang/mercury-20.01.1  USE="profile readline -debug -doc -emacs -erlang -examples -java -mono -threads -trail"
Comment 1 Toralf Förster gentoo-dev 2020-06-04 17:35:59 UTC
Created attachment 643438 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-06-04 17:36:02 UTC
Created attachment 643440 [details]
dev-lang:mercury-20.01.1:20200604-135814.log.bz2
Comment 3 Toralf Förster gentoo-dev 2020-06-04 17:36:05 UTC
Created attachment 643442 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-06-04 17:36:08 UTC
Created attachment 643444 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-06-04 17:36:12 UTC
Created attachment 643446 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-06-04 17:36:15 UTC
Created attachment 643448 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-06-04 17:36:18 UTC
Created attachment 643450 [details]
temp.tbz2
Comment 8 Keri Harris gentoo-dev 2020-07-25 06:11:25 UTC
This is now fixed in git with mercury-20.01.2. Thanks for reporting this bug.